Extending Qt Creator Manual | IOutlineWidget

Extending Qt Creator Manual 4.5.2

# IOutlineWidget Class

(TextEditor::IOutlineWidget)

- List of all members, including inherited members

## Public Functions

| IOutlineWidget(QWidget *parent = 0)
virtual QList<QAction *> | filterMenuActions() const = 0
virtual void | restoreSettings(const QVariantMap &map)
virtual void | setCursorSynchronization(bool syncWithCursor) = 0
virtual QVariantMap | settings() const

## Member Function Documentation

### IOutlineWidget::IOutlineWidget(QWidget *parent = 0)

Default constructs an instance of IOutlineWidget.

### `[pure virtual]` QList<QAction *> IOutlineWidget::filterMenuActions() const

### `[virtual]` void IOutlineWidget::restoreSettings(const QVariantMap &map)

### `[pure virtual]` void IOutlineWidget::setCursorSynchronization(bool syncWithCursor)

### `[virtual]` QVariantMap IOutlineWidget::settings() const